
<button type="button" class="btn btn-info mt-2 mb-4" data-tooltip="tooltip" data-placement="top" title="Tambah"
            data-toggle="modal" data-target="#modal-center-tambah">
    <i class="bi bi-plus"></i> Tambah Running Text
</button>


<div class="card shadow mb-5">
    <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
        <h6 class="m-0 font-weight-bold text-info">Running Text</h6>
        <div class="dropdown no-arrow">
            <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
            </a>
        </div>
    </div>
    <div class="card-body">
        <div class="table-responsive py-3">
            <table class="table table-striped table-bordered dt-responsive nowrap" width="100%" id="table-list">
                <thead class="bg-info text-white">
                    <tr>
                        <th scope="col" class="text-center">#</th>
                        <th scope="col" class="text-center">Running Text</th>
                        <th scope="col" class="text-center">Tanggal</th>
                        <th scope="col" class="text-center">Status</th>
                        <th scope="col" class="text-center">Aksi</th>
                    </tr>
                </thead>
                <tbody>
                    {% for running_text in running_texts %}
                        <tr>
                            <th>{{ forloop.counter }}</th>
                            <td>{{ running_text.text | truncatewords:15 }}</td>
                            <td>{{ running_text.created_at }}</td>
                            <td class="text-white {% if running_text.deleted_at %}bg-danger{% else %}bg-success{% endif %}">
                                {% if running_text.deleted_at %}Hidden{% else %}Published{% endif %}
                            </td>
                            <td class="text-center">
                                <button href="#" class="btn btn-info btn-circle pass-data-detail" 
                                    data-tooltip="tooltip" data-placement="top" title="Detail"
                                    data-toggle="modal" data-target="#modal-center-detail"
                                    data-keterangan="{{ running_text.text }}">
                                    <i class="bi bi-info"></i>
                                </button>

                                <button href="#" class="btn btn-success btn-circle pass-data-ubah" 
                                    data-tooltip="tooltip" data-placement="top" title="Ubah"
                                    data-toggle="modal" data-target="#modal-center-ubah"
                                    data-id="{{ running_text.id }}"
                                    data-keterangan="{{ running_text.text }}">
                                    <i class="bi bi-pencil"></i>
                                </button>
                                
                                {% if running_text.deleted_at %}
                                    <button class="btn btn-success btn-circle" 
                                        onclick="restore_('Running Text ini', '{{ running_text.id }}', 'running_text', 'Running Text')"
                                        data-toggle="tooltip" data-placement="top" title="Tampilkan">
                                        <i class="bi bi-arrow-counterclockwise"></i>
                                    </button>
                                {% else %}
                                    <button href="#" class="btn btn-danger btn-circle" 
                                        onclick="delete_('soft_delete', 'Running Text ini', '{{ running_text.id }}', 'running_text', 'Running Text')"
                                        data-toggle="tooltip" data-placement="top" title="Arsipkan">
                                        <i class="bi bi-archive"></i>
                                    </button>
                                {% endif %}
                            </td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
</div>

{% if request.user.is_staff %}
    <div class="card shadow mb-5">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-bold text-info">Arsip Running Text</h6>
            <div class="dropdown no-arrow">
                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                </a>
            </div>
        </div>
        <div class="card-body">
            <div class="table-responsive py-3">
                <table class="table table-striped table-bordered dt-responsive nowrap" width="100%" id="table-archive">
                    <thead class="bg-info text-white">
                        <tr>
                            <th scope="col" class="text-center">#</th>
                            <th scope="col" class="text-center">Running Text</th>
                            <th scope="col" class="text-center">Tanggal</th>
                            <th scope="col" class="text-center">Status</th>
                            <th scope="col" class="text-center">Aksi</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for archive in archives %}
                            <tr>
                                <th>{{ forloop.counter }}</th>
                                <td>{{ archive.text | truncatewords:15 }}</td>
                                <td>{{ archive.created_at }}</td>
                                <td class="text-white {% if archive.deleted_at %}bg-danger{% else %}bg-success{% endif %}">
                                    {% if archive.deleted_at %}Hidden{% else %}Published{% endif %}
                                </td>
                                <td class="text-center">
                                    <button href="#" class="btn btn-info btn-circle pass-data-detail" 
                                        data-tooltip="tooltip" data-placement="top" title="Detail"
                                        data-toggle="modal" data-target="#modal-center-detail"
                                        data-keterangan="{{ archive.text }}">
                                        <i class="bi bi-info"></i>
                                    </button>
                                    <button class="btn btn-success btn-circle" 
                                        onclick="restore_('Running Text ini', '{{ archive.id }}', 'running_text', 'Running Text')"
                                        data-toggle="tooltip" data-placement="top" title="Tampilkan">
                                        <i class="bi bi-arrow-counterclockwise"></i>
                                    </button>

                                    <button href="#" class="btn btn-danger btn-circle" 
                                        onclick="delete_('permanent_delete', 'Running Text ini', '{{ archive.id }}', 'running_text', 'Running Text')"
                                        data-toggle="tooltip" data-placement="top" title="Hapus Permanen">
                                        <i class="bi bi-trash"></i>
                                    </button>
                                </td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
{% endif %}

<div class="modal fade" id="modal-center-tambah" tabindex="-1" role="dialog" aria-labelledby="modal-centerTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
            <h5 class="m-0 font-weight-bold text-info" id="exampleModalLongTitle">Tambah Running Text</h5>
            <button type="button" class="close text-info" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
            </div>
            <div class="modal-body">
                <form action="{% url 'profile:admin_setting_running_text' %}" method="post">
                <div class="form-group">
                    {% csrf_token %}
                    <label for="{{ form.text.id_for_label }}">Keterangan</label>
                    <textarea 
                        class="form-control {% if form.text.errors %}is-invalid{% endif %}" 
                        id="{{ form.text.id_for_label }}" 
                        name="{{ form.text.name }}"
                        maxlength="{{ form.text.field.max_length }}"
                        {% if form.text.field.required %}required{% endif %}
                        rows="5">{% if form.text.value != None %}{{ form.text.value|stringformat:'s' }}{% endif %}</textarea>
                    {% if form.text.errors %}
                        <div class="invalid-feedback">
                            {{ form.text.errors }}
                        </div>
                    {% endif %}
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="submit" class="btn btn-info">Simpan</button>
                </form>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="modal-center-ubah" tabindex="-1" role="dialog" aria-labelledby="modal-centerTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
            <h5 class="m-0 font-weight-bold text-info" id="exampleModalLongTitle">Edit Running Text</h5>
            <button type="button" class="close text-info" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
            </div>
            <div class="modal-body">
                <form action="{% url 'profile:admin_setting_running_text_edit' %}" method="post">
                <div class="form-group">
                    {% csrf_token %}
                    <input type="hidden" name="id" id="ubah-id" value="">
                    <label for="ubah-keterangan">Keterangan</label>
                    <textarea  class="form-control" id="ubah-keterangan" name="text" maxlength="255" required rows="5"></textarea>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="submit" class="btn btn-info">Simpan</button>
                </form>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="modal-center-detail" tabindex="-1" role="dialog" aria-labelledby="modal-centerTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
            <h5 class="m-0 font-weight-bold text-info" id="exampleModalLongTitle">Detail Running Text</h5>
            <button type="button" class="close text-info" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
            </div>
            <div class="modal-body">
                <div class="form-group">
                    <label for="detail-keterangan">Keterangan</label>
                    <textarea class="form-control" disabled id="detail-keterangan" cols="5" rows="5"></textarea>
                </div>
            </div>
        </div>
    </div>
</div>